## org.hibernate.type.descriptor.java
Class SerializableTypeDescriptor.SerializableMutabilityPlan<S extends Serializable>

    java.lang.Object
      org.hibernate.type.descriptor.java.MutableMutabilityPlan<S>
          org.hibernate.type.descriptor.java.SerializableTypeDescriptor.SerializableMutabilityPlan<S>

All Implemented Interfaces:
  Serializable, MutabilityPlan<S>

Enclosing class:
  SerializableTypeDescriptor<T extends Serializable>

    public static class SerializableTypeDescriptor.SerializableMutabilityPlan<S extends Serializable>

extends MutableMutabilityPlan<S>

See Also:
  Serialized Form

Field Summary
`static SerializableTypeDescriptor.SerializableMutabilityPlan<Serializable>` `INSTANCE`

Constructor Summary
`SerializableTypeDescriptor.SerializableMutabilityPlan(Class<S> type)`

Method Summary
`S` `deepCopyNotNull(S value)`

Methods inherited from class org.hibernate.type.descriptor.java.MutableMutabilityPlan
`assemble, deepCopy, disassemble, isMutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final SerializableTypeDescriptor.SerializableMutabilityPlan<Serializable> INSTANCE

Constructor Detail

### SerializableTypeDescriptor.SerializableMutabilityPlan

    public SerializableTypeDescriptor.SerializableMutabilityPlan(Class<S> type)

Method Detail

### deepCopyNotNull

    public S deepCopyNotNull(S value)

  Specified by:
    `deepCopyNotNull` in class `MutableMutabilityPlan<S extends Serializable>`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.